ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doroszlai, Attila (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21469) Stop Spark fails due to missing stack selector
Date Thu, 13 Jul 2017 21:07:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21469?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Doroszlai, Attila updated AMBARI-21469:
---------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed to [branch-2.5|http://git-wip-us.apache.org/repos/asf/ambari/commit/7dbcb7542e].

> Stop Spark fails due to missing stack selector
> ----------------------------------------------
>
>                 Key: AMBARI-21469
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21469
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.5.2
>            Reporter: Doroszlai, Attila
>            Assignee: Doroszlai, Attila
>            Priority: Blocker
>             Fix For: 2.5.2
>
>         Attachments: AMBARI-21469.patch
>
>
> BigInsights 4.2 stack has hard-coded call to {{iop-select}} in Spark and HBase scripts.
 This causes failure stopping services during cross stack-name upgrade, when {{iop-select}}
is already removed.
> {noformat}
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/stacks/BigInsights/4.2/services/SPARK/package/scripts/job_history_server.py",
line 167, in <module>
>     JobHistoryServer().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 329, in execute
>     method(env)
>   File "/var/lib/ambari-agent/cache/stacks/BigInsights/4.2/services/SPARK/package/scripts/job_history_server.py",
line 55, in stop
>     import params
>   File "/var/lib/ambari-agent/cache/stacks/BigInsights/4.2/services/SPARK/package/scripts/params.py",
line 42, in <module>
>     iop_full_version = get_iop_version()
>   File "/var/lib/ambari-agent/cache/stacks/BigInsights/4.2/services/SPARK/package/scripts/spark.py",
line 345, in get_iop_version
>     'Unable to determine the current version because of a non-zero return code of {0}'.format(str(return_code)))
> resource_management.core.exceptions.Fail: Unable to determine the current version because
of a non-zero return code of 127
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message